---
title: "Site"
source: /nl/gcxone/api/site
locale: nl
updated: 2026-09-04
---
Operaties op site‑bronnen. 19 eindpunten, elk relatief t.o.v. `https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authentication](/gcxone/api/authentication).

## GET /site/

ophalen Site op naam

### Parameters

| Naam | In | Type | Vereist | Beschrijving |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja | SiteName. |

### Responses

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

## POST /site/

MAAK NIEUW Site

### Request body

Site toevoegen

```json
{
  "payload": {
    "id": "string",
    "name": "string (required)",
    "email": "string",
    "isActive": "boolean",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "business": [
      "object"
    ],
    "tags": [
      "object"
    ],
    "photos": [
      "object"
    ],
    "followers": [
      "object"
    ],
    "latitude": "string",
    "longitude": "string",
    "plusCode": "string",
    "what3Words": "string",
    "jsonSchema": "object",
    "countryCode": "string",
    "contactEmail": "string",
    "parentAccountId": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "parent": "string"
  }
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

## GET /site/arming/info/{id}

Haal site‑armingdetails op op basis van siteId

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "siteArmState": "partiallyArmed",
  "devices": [
    {
      "name": "Embedded Net DVR",
      "id": "4e5147ac173b42c3bd98b986eb9a06dc",
      "armState": "disarmed"
    },
    {
      "name": "Embedded Net DVR",
      "id": "dc7adfd8e57c49b4a7709f8f7da06804",
      "armState": "armed"
    },
    {
      "name": "Embedded Net DVR",
      "id": "c7e5012d9b7d4d3c928d98652510f976",
      "armState": "armed"
    }
  ]
}
```

## GET /site/arming/infoByName

Ophalen van site arming‑details op site‑naam

### Parameters

| Naam | In | Type | Vereist | Beschrijving |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## PUT /site/arming?siteId={siteId}&action={action}

Inschakelen/Uitschakelen bijwerken op site‑ID

### Parameters

| Naam | In | Type | Vereist | Beschrijving |
| --- | --- | --- | --- | --- |
| siteId | query | string | ja |  |
| action | query | boolean | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "data": [
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    },
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    },
    {
      "name": "Embedded Net DVR",
      "result": {
        "errorCode": 0,
        "message": "OK"
      }
    }
  ]
}
```

## PUT /site/arming?siteName={siteName}&action={action}

Inschakelen/Uitschakelen bij siteName

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja |  |
| action | query | boolean | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## POST /site/filter

Haalt de site‑lijst op met filteren, sorteren en paginering. Het ondersteunt zoeken op hiërarchisch niveau. Het kan gefilterd worden met een opgegeven hiërarchie of gebruikt de hiërarchie van de ingelogde gebruiker. Hiermee kan u extra entiteitsvelden opvragen in de respons. Tevens worden configuratiemetagegevens over de entiteit geleverd.

### Request body

Site filtering and sorting

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responses

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Site",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "name": "Site test",
      "dateTime": 1655213317621,
      "uniqueId": "c772ac8dd22f4a9a8849c332afe3f188",
      "parentAccountId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "country": "",
      "streetName": "",
      "state": "",
      "isActive": "true",
      "customerName": "Customer TEST"
    },
    {
      "name": "Site test 2",
      "dateTime": 1648447044408,
      "uniqueId": "a9dc0ac94dfd4297b8241cb7db87a65e",
      "parentAccountId": "d76dfac772ac8dcb7db87a6c772ac8d",
      "country": "",
      "streetName": "",
      "state": "",
      "isActive": "true",
      "customerName": "Customer TEST"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /site/id/{id}/app

Haal site‑informatie op via site‑ID voor app

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | tekenreeks | ja |  |

### Responsen

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "data": {
    "id": "rtyt67457474dfa6c3567567cd94b7aa3ee",
    "name": "Test",
    "address": {
      "location": {
        "latitude": "",
        "longitude": "",
        "plusCode": " ",
        "what3Words": " "
      },
      "contact": {
        "countryCode": "",
        "phoneNumber": ""
      },
      "houseBuildingNumber": "",
      "streetName": "",
      "city": "",
      "state": "",
      "code": "",
      "country": ""
    },
    "deviceCount": 1,
    "totalSensor": 9,
    "cameraCount": 9,
    "alarmCountInLast24hr": 15,
    "alarmCountbetween24to48hr": 18,
    "IOCount": 0,
    "otherSensorCount": 0
  },
  "isSuccess": true
}
```

## PUT /site/isolate?siteId={siteId}&enable={enable}

Lijst met gebruikers onder site ophalen

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| siteId | query | tekenreeks | ja |  |
| enable | query | boolean | ja |  |
| isolateStartTime | query | nummer | nee |  |
| duur | query | nummer | nee |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## PUT /site/isolate?siteName={siteName}&enable={enable}

Isolering bij site bijwerken

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja |  |
| enable | query | boolean | ja |  |
| isolateStartTime | query | nummer | nee |  |
| duur | query | number | no |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## GET /site/isolation/infoByName

Haal site arming details op op basis van site naam

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## POST /site/listByCustomerIds

Sites ophalen op klant‑ID‑lijst

### Request‑body

Sites ophalen

```json
{
  "customerIds": [
    "string"
  ]
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` response:

```json
{
  "data": [
    {
      "key": "7f01237864567eba89736f825",
      "label": "site name",
      "customerName": "customer name"
    }
  ]
}
```

## GET /site/presetPTZ

PTZ / Preset op basis van Site naam

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| siteName | query | string | ja |  |
| actie | query | "R" \| "R\_STOP" \| "L" \| "L\_STOP" \| "U" \| "U\_STOP" \| "D" \| "D\_STOP" \| "Z+" \| "Z+\_STOP" \| "1" \| "2" \| "3" \| "4" \| "5" \| "6" \| "7" \| "8" \| "9" \| "10" | ja | Kies een waarde van 1 tot 10 voor preset, alle andere voor PTZ |
| commandType | query | "ptz" \| "preset" | ja |  |
| webSocketPort | query | string | nee | vereist voor Heitel-apparaatstype |
| momentSpeed | query | string | nee | PTZ snelheid |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Forbidden |  |
| 404 | Niet gevonden |  |

## POST /site/search

Zoek sites voor app

### Request body

Zoek sites

```json
{
  "payload": {
    "skip": "number (required)",
    "limit": "number (required)",
    "siteName": "string"
  }
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 401 | Niet toegestaan |  |

Voorbeeld `200` response:

```json
{
  "data": [
    {
      "siteName": "Site A",
      "siteId": "l8c90c0f62c64d16751acc5ea13082y",
      "deviceCount": 0,
      "alarmCount": 0
    },
    {
      "siteName": "Site B",
      "siteId": "u8b51c17cb474c2a6757273d193303cb",
      "deviceCount": 1,
      "alarmCount": 0
    }
  ],
  "isSuccess": true
}
```

## GET /site/{id}

Ophalen op site ID

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Responses

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## PUT /site/{id}

Werk een bestaande site bij

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Verzoekinhoud

```json
{
  "payload": {
    "id": "string",
    "uniqueId": "string",
    "name": "string (required)",
    "profile": {
      "logo": "string",
      "business": [
        "object"
      ],
      "photos": [
        "object"
      ],
      "tags": [
        "object"
      ],
      "followers": [
        "object"
      ],
      "s3ImagePath": "string"
    },
    "address": {
      "houseBuildingNumber": "string",
      "streetName": "string",
      "city": "string",
      "state": "string",
      "code": "string",
      "country": "string",
      "location": {
        "latitude": "string",
        "longitude": "string",
        "plusCode": "string",
        "what3Words": "string"
      },
      "contact": {
        "countryCode": "string",
        "phoneNumber": "string"
      }
    },
    "email": "string",
    "parentAccountId": "string",
    "isActive": "boolean",
    "jsonSchema": "object",
    "parentEventProviderId": "string",
    "masterEventProviderId": "string",
    "serviceProviderId": "string",
    "customerId": "string",
    "groupParent": "string",
    "description": "string",
    "syncStatus": "boolean"
  }
}
```

### Antwoorden

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

## DELETE /site/{id}

Verwijder een Site op Id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |

## GET /site/{id}/devices

Lijst met apparaten onder site ophalen

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## GET /site/{id}/users

Lijst met gebruikers onder site ophalen

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responses

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | Geen inhoud |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |